| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
NAND ECC Codes
NAND Interface

Specify ECC codes. More...

## Macros

#define | ARM_NAND_ECC(n) ((n) & ARM_NAND_ECC_INDEX_Msk)
| Select ECC.
#define | ARM_NAND_ECC0 (1UL << 8)
| Use ECC0 of selected ECC.
#define | ARM_NAND_ECC1 (1UL << 9)
| Use ECC1 of selected ECC.

## Description

Specify ECC codes.

The defines can be used in the function ARM_NAND_ReadData and ARM_NAND_WriteData for the parameter mode and in the function ARM_NAND_ExecuteSequence for the parameter code.

## Macro Definition Documentation

#define ARM_NAND_ECC | ( |  | n | ) | ((n) & ARM_NAND_ECC_INDEX_Msk)

Select ECC.

#define ARM_NAND_ECC0 (1UL << 8)

Use ECC0 of selected ECC.

#define ARM_NAND_ECC1 (1UL << 9)

Use ECC1 of selected ECC.